# Uses of Class
org.eclipse.jdt.launching.environments.CompatibleEnvironment

Packages that use CompatibleEnvironment
Package
Description
org.eclipse.jdt.launching.environments
Application programming interfaces and classes for execution environments.

## Uses of CompatibleEnvironment in org.eclipse.jdt.launching.environments

Methods in org.eclipse.jdt.launching.environments that return CompatibleEnvironment
Modifier and Type
Method
Description
`CompatibleEnvironment[]`
IExecutionEnvironmentAnalyzerDelegate.`analyze(IVMInstall vm, IProgressMonitor monitor)`
Analyzes the given vm install and returns a collection of compatible execution environments, possibly empty.